
# Options, options options
###########################
# +DIF3: Allow inline assembler.
# -g: Prepare for symbolic debug.
# -c: Don't link.
CFLAGS = -c -DIF3 +ESdbgasm -g

RM = /bin/rm
LD = /bin/ld
CP = /bin/cp
CCRT = $(HPRTroot)/hpux/bin/ccrt

# Source Paths and Object Paths
###########################

DRIVER_SRC     = /home/hprt

TRG_DRIVERS     = $(HPRTroot)/etc/conf/drivers
TRG_DEVICES     = $(HPRTroot)/etc/conf/info
TRG_DHEADERS    = $(HPRTroot)/etc/conf/dheaders
TRG_CFG         = $(HPRTroot)/etc/conf/cfg

DVR_HEADERS 	= $(HPRTroot)/usr/include/machine/sysdev.h \
				  $(DRIVER_SRC)/btfpinfo.h \
				  $(DRIVER_SRC)/btfpdrvr.h \
				  $(DRIVER_SRC)/btfpd.h

ALL_TRG_FILES   = $(TRG_DRIVERS)/btfpdrvr.o $(TRG_CFG)/btfpdrvr.cfg $(TRG_DHEADERS)/btfpinfo.h $(TRG_DEVICES)/btfpinfo.c $(TRG_DEVICES)/btfpinfo.o

MAKEFILE        = $(DRIVER_SRC)/btfpdrvr.make

# Global Targets
#############################

DEFAULT:    $(ALL_TRG_FILES)

$(TRG_DEVICES)/btfpinfo.o : $(DRIVER_SRC)/btfpinfo.c \
				$(DVR_HEADERS) $(MAKEFILE)
	$(CCRT) $(TRG_DEVICES)/btfpinfo.c \
		-I$(DRIVER_SRC) -I$(DRIVER_SRC) \
		$(CFLAGS) -o btfpinfo.o >btfpinfo.lst

$(TRG_DEVICES)/btfpinfo.c : $(DRIVER_SRC)/btfpinfo.c $(MAKEFILE)    \
               $(TRG_DHEADERS)/btfpinfo.h
	- $(RM) -f $(TRG_DEVICES)/btfpinfo.c
	$(CP) $(DRIVER_SRC)/btfpinfo.c $(TRG_DEVICES)/btfpinfo.c

$(TRG_DHEADERS)/btfpinfo.h : $(DRIVER_SRC)/btfpinfo.h $(MAKEFILE)
	- $(RM) -f $(TRG_DHEADERS)/btfpinfo.h
	$(CP) $(DRIVER_SRC)/btfpinfo.h $(TRG_DHEADERS)/btfpinfo.h

$(TRG_CFG)/btfpdrvr.cfg : $(DRIVER_SRC)/btfpdrvr.cfg	$(MAKEFILE)
	- $(RM) -f $(TRG_CFG)/btfpdrvr.cfg
	$(CP) $(DRIVER_SRC)/btfpdrvr.cfg $(TRG_CFG)/btfpdrvr.cfg

$(TRG_DRIVERS)/btfpdrvr.o : $(DRIVER_SRC)/btfpdrvr.c \
				$(DVR_HEADERS) $(MAKEFILE)
	$(CCRT) $(DRIVER_SRC)/btfpdrvr.c \
		$(CFLAGS) -o $(TRG_DRIVERS)/btfpdrvr.o > btfpdrvr.lst

